/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "SDK Readers", "index.html", [
    [ "Об SDK", "index.html", null ],
    [ "Введение", "md__home_gsa_Projects_SdkReaders_docs_introduction.html#introduction", [
      [ "Системные требования", "md__home_gsa_Projects_SdkReaders_docs_systemRequirements.html#systemRequirements", null ],
      [ "Что нового в SDK", "md__home_gsa_Projects_SdkReaders_docs_whatsNew.html#whatsNew", null ]
    ] ],
    [ "Установка", "md__home_gsa_Projects_SdkReaders_docs_installation.html#installation", null ],
    [ "Использование", "md__home_gsa_Projects_SdkReaders_docs_usage.html#usage", null ],
    [ "Считыватели", "md__home_gsa_Projects_SdkReaders_docs_readers.html#readers", [
      [ "Z-2 (мод. RD_ALL)/Z-2 USB", "md__home_gsa_Projects_SdkReaders_docs_reader_z2_rdall.html#z2_rdall", null ],
      [ "Z-2 (мод. MF)/Z-2 USB MF", "md__home_gsa_Projects_SdkReaders_docs_reader_z2_usb_mf.html#z2_usb_mf", null ],
      [ "Z-2 (мод. MF-I)", "md__home_gsa_Projects_SdkReaders_docs_reader_z2_mfi.html#z2_mfi", null ],
      [ "Z-2 (мод. MF CCID)", "md__home_gsa_Projects_SdkReaders_docs_reader_z2_mf_ccid.html#z2_mf_ccid", null ],
      [ "Z-2 (мод. E HTZ RF) / Z-2 EHR", "md__home_gsa_Projects_SdkReaders_docs_reader_z2_ehr.html#z2_ehr", null ],
      [ "Z-2 (мод. E HT Hotel) / Z-2 RF-1996", "md__home_gsa_Projects_SdkReaders_docs_reader_z2_rf1996.html#z2_rf1996", null ],
      [ "Z-1 (мод. N Z) / Z-2 Base", "md__home_gsa_Projects_SdkReaders_docs_reader_z2_base.html#z2_base", null ],
      [ "Matrix-III (мод. RD_All)", "md__home_gsa_Projects_SdkReaders_docs_reader_matrix3_rdall.html#matrix3_rdall", null ],
      [ "Matrix-III (мод. MF K Net) / Matrix-III Net", "md__home_gsa_Projects_SdkReaders_docs_reader_matrix3_net.html#matrix3_net", null ],
      [ "СP-Z-2 (мод. MF-I)", "md__home_gsa_Projects_SdkReaders_docs_reader_cp_z2_mfi.html#cp_z2_mfi", null ],
      [ "Matrix-V (мод. E S RF) / Matrix-V", "md__home_gsa_Projects_SdkReaders_docs_reader_matrix5.html#matrix5", null ],
      [ "Matrix-VI (мод. NFC K Net)", "md__home_gsa_Projects_SdkReaders_docs_reader_matrix6.html#matrix6", null ]
    ] ],
    [ "Карты", "md__home_gsa_Projects_SdkReaders_docs_cards.html#cards", [
      [ "Mifare Ultralight", "md__home_gsa_Projects_SdkReaders_docs_card_mf_ultralight.html#mf_ultralight", null ],
      [ "Mifare Classic 1K", "md__home_gsa_Projects_SdkReaders_docs_card_mf_classic_1k.html#mf_classic_1k", null ],
      [ "Mifare Classic 4K", "md__home_gsa_Projects_SdkReaders_docs_card_mf_classic_4k.html#mf_classic_4k", null ],
      [ "Mifare Plus", "md__home_gsa_Projects_SdkReaders_docs_card_mf_plus.html#mf_plus", null ],
      [ "Temic (T5557, T5577)", "md__home_gsa_Projects_SdkReaders_docs_card_temic.html#temic", null ]
    ] ],
    [ "Конвертеры", "md__home_gsa_Projects_SdkReaders_docs_converters.html#converters", [
      [ "Z-397 (мод. USB)/Z-397", "md__home_gsa_Projects_SdkReaders_docs_cvt_z397.html#z397", null ],
      [ "Z-397 (мод. USB Guard)/Z-397 Guard", "md__home_gsa_Projects_SdkReaders_docs_cvt_z397_guard.html#z397_guard", null ],
      [ "Z-397 IP", "md__home_gsa_Projects_SdkReaders_docs_cvt_z397_ip.html#z397_ip", null ],
      [ "Z-397 (мод. Web)", "md__home_gsa_Projects_SdkReaders_docs_cvt_z397_web.html#z397_web", null ]
    ] ],
    [ "Группы", "modules.html", "modules" ],
    [ "Классы", "annotated.html", [
      [ "Классы", "annotated.html", "annotated_dup" ],
      [ "Алфавитный указатель классов", "classes.html", null ],
      [ "Иерархия классов", "hierarchy.html", "hierarchy" ],
      [ "Члены классов", "functions.html", [
        [ "Указатель", "functions.html", "functions_dup" ],
        [ "Функции", "functions_func.html", null ],
        [ "Переменные", "functions_vars.html", null ]
      ] ]
    ] ],
    [ "Файлы", "files.html", [
      [ "Файлы", "files.html", "files_dup" ],
      [ "Список членов всех файлов", "globals.html", [
        [ "Указатель", "globals.html", "globals_dup" ],
        [ "Функции", "globals_func.html", null ],
        [ "Определения типов", "globals_type.html", null ],
        [ "Перечисления", "globals_enum.html", null ],
        [ "Элементы перечислений", "globals_eval.html", null ],
        [ "Макросы", "globals_defs.html", null ]
      ] ]
    ] ],
    [ "Примеры", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
"annotated.html",
"group__init.html#gaee522267c941a5422a248cff30335d26",
"ilreaders_8h.html#acfd5f0d4309a87c5ef7ae4e12c3f975ca1a708716e900432d82d3c1702fdbbd23"
];

var SYNCONMSG = 'нажмите на выключить для синхронизации панелей';
var SYNCOFFMSG = 'нажмите на включить для синхронизации панелей';